Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks
Interface MicroLayoutPolicy

    public interface MicroLayoutPolicy

Looks up and returns a MicroLayout.

Since:
  2.1
Version:
  $Revision: 1.6 $
Author:
  Karsten Lentzsch
See Also:
  `MicroLayout`, `MicroLayoutPolicies`

Method Summary
`MicroLayout` | `getMicroLayout(String lafName, UIDefaults table)` Looks up and returns insets, margins, and gaps that will be used by a Look&Feel to set the component insets, margins and gaps.

Method Detail

### getMicroLayout

    MicroLayout getMicroLayout(String lafName,
                               UIDefaults table)

  Looks up and returns insets, margins, and gaps that will be used by a Look&Feel to set the component insets, margins and gaps.

  This method is invoked during the L&F component initialization. And the invoker hands over the UIDefaults object used to define the component settings. Hence, the UIDefaults object may be used to look up values as initialized by a super Look&Feel. For example the JGoodies Windows L&F could use the defaults set by the super L&F, the Sun Windows L&F.

  Parameters:
    `lafName` - the name of the Look&Feel that requests the fonts
    `table` - the UIDefaults table that can be used to look up fonts of a super L&F
  Returns:
    a micro layout used as default for the components.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JGoodies Karsten Lentzsch. All Rights Reserved.